Main Page Widgets Namespaces Book

# Glib::IdleSource Class Reference
[The Main Event Loop]

Inheritance diagram for Glib::IdleSource:

[legend]
List of all members.

## Public Types
typedef Glib::IdleSource | CppObjectType
## Public Member Functions
SigC::Connection | connect (const SigC::Slot0<bool>& slot)
## Static Public Member Functions
Glib::RefPtr<IdleSource> | create ()
## Protected Member Functions
| IdleSource ()
virtual | ~IdleSource ()
virtual bool | prepare (int& timeout)
virtual bool | check ()
virtual bool | dispatch (SigC::SlotNode* slot_data)

## Member Typedef Documentation

typedef Glib::IdleSource Glib::IdleSource::CppObjectType

| Reimplemented from Glib::Source.

## Constructor & Destructor Documentation

Glib::IdleSource::IdleSource | ( |  | ) | `[protected]`

virtual Glib::IdleSource::~IdleSource | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual bool Glib::IdleSource::check | ( |  | ) | `[protected, virtual]`

| Implements Glib::Source.

SigC::Connection Glib::IdleSource::connect | ( | const SigC::Slot0<bool>& | slot | ) |

Glib::RefPtr<IdleSource> Glib::IdleSource::create | ( |  | ) | `[static]`

| Reimplemented from Glib::Source.

virtual bool Glib::IdleSource::dispatch | ( | SigC::SlotNode* | slot_data | ) | `[protected, virtual]`

| Implements Glib::Source.

virtual bool Glib::IdleSource::prepare | ( | int& | timeout | ) | `[protected, virtual]`

| Implements Glib::Source.

The documentation for this class was generated from the following file:

- glib/glibmm/main.h